### Method

# Adw MessageDialog add_responses

#### Declaration [src]

    void
    adw_message_dialog_add_responses (
      AdwMessageDialog* self,
      const char* first_id,
      ...
    )

#### Description [src]

Adds multiple responses to `self`.

This is the same as calling `adw_message_dialog_add_response()` repeatedly. The variable argument list should be `NULL`-terminated list of response IDs and labels.

Example:

    adw_message_dialog_add_responses (dialog,
                                      "cancel",  _("_Cancel"),
                                      "discard", _("_Discard"),
                                      "save",    _("_Save"),
                                      NULL);

Available since: | 1.2
This method is not directly available to language bindings.

#### Parameters

`first_id` | `const char*`
| Response id.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| Label for first response, then more id-label pairs.